Index: palm/trunk/SOURCE/data_output_module.f90
===================================================================
--- palm/trunk/SOURCE/data_output_module.f90	(revision 4596)
+++ palm/trunk/SOURCE/data_output_module.f90	(revision 4597)
@@ -2377,147 +2439,179 @@
           CASE ( 'netcdf4-parallel', 'netcdf4-serial' )
 !
-!--          Character output
+!--          Character integer output
              IF ( PRESENT( values_char_0d ) )  THEN
-                 CALL netcdf4_write_variable( file_id, variable_id,                                &
-                         bounds_start_internal, value_counts, bounds_origin, is_global,            &
-                        values_char_0d=values_char_0d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_char_0d=values_char_0d_pointer,          &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_char_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_char_1d=values_char_1d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_char_1d=values_char_1d_pointer,          &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_char_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_char_2d=values_char_2d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_char_2d=values_char_2d_pointer,          &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_char_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_char_3d=values_char_3d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_char_3d=values_char_3d_pointer,          &
+                        return_value=output_return_value )
 !
 !--          8bit integer output
              ELSEIF ( PRESENT( values_int8_0d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_int8_0d=values_int8_0d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_int8_0d=values_int8_0d_pointer,          &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_int8_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_int8_1d=values_int8_1d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_int8_1d=values_int8_1d_pointer,          &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_int8_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_int8_2d=values_int8_2d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_int8_2d=values_int8_2d_pointer,          &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_int8_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_int8_3d=values_int8_3d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_int8_3d=values_int8_3d_pointer,          &
+                        return_value=output_return_value )
 !
 !--          16bit integer output
              ELSEIF ( PRESENT( values_int16_0d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_int16_0d=values_int16_0d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_int16_0d=values_int16_0d_pointer,        &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_int16_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_int16_1d=values_int16_1d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_int16_1d=values_int16_1d_pointer,        &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_int16_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_int16_2d=values_int16_2d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_int16_2d=values_int16_2d_pointer,        &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_int16_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_int16_3d=values_int16_3d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_int16_3d=values_int16_3d_pointer,        &
+                        return_value=output_return_value )
 !
 !--          32bit integer output
              ELSEIF ( PRESENT( values_int32_0d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_int32_0d=values_int32_0d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_int32_0d=values_int32_0d_pointer,        &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_int32_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_int32_1d=values_int32_1d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_int32_1d=values_int32_1d_pointer,        &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_int32_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_int32_2d=values_int32_2d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_int32_2d=values_int32_2d_pointer,        &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_int32_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_int32_3d=values_int32_3d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_int32_3d=values_int32_3d_pointer,        &
+                        return_value=output_return_value )
 !
 !--          Working-precision integer output
              ELSEIF ( PRESENT( values_intwp_0d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_intwp_0d=values_intwp_0d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_intwp_0d=values_intwp_0d_pointer,        &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_intwp_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_intwp_1d=values_intwp_1d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_intwp_1d=values_intwp_1d_pointer,        &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_intwp_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_intwp_2d=values_intwp_2d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_intwp_2d=values_intwp_2d_pointer,        &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_intwp_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_intwp_3d=values_intwp_3d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_intwp_3d=values_intwp_3d_pointer,        &
+                        return_value=output_return_value )
 !
 !--          32bit real output
              ELSEIF ( PRESENT( values_real32_0d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_real32_0d=values_real32_0d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_real32_0d=values_real32_0d_pointer,      &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_real32_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_real32_1d=values_real32_1d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_real32_1d=values_real32_1d_pointer,      &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_real32_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_real32_2d=values_real32_2d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_real32_2d=values_real32_2d_pointer,      &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_real32_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_real32_3d=values_real32_3d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_real32_3d=values_real32_3d_pointer,      &
+                        return_value=output_return_value )
 !
 !--          64bit real output
              ELSEIF ( PRESENT( values_real64_0d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_real64_0d=values_real64_0d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_real64_0d=values_real64_0d_pointer,      &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_real64_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_real64_1d=values_real64_1d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_real64_1d=values_real64_1d_pointer,      &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_real64_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_real64_2d=values_real64_2d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_real64_2d=values_real64_2d_pointer,      &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_real64_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_real64_3d=values_real64_3d_pointer, return_value=output_return_value )
-!
-!--          working-precision real output
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_real64_3d=values_real64_3d_pointer,      &
+                        return_value=output_return_value )
+!
+!--          Working-precision real output
              ELSEIF ( PRESENT( values_realwp_0d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_realwp_0d=values_realwp_0d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_realwp_0d=values_realwp_0d_pointer,      &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_realwp_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_realwp_1d=values_realwp_1d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_realwp_1d=values_realwp_1d_pointer,      &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_realwp_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_realwp_2d=values_realwp_2d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_realwp_2d=values_realwp_2d_pointer,      &
+                        return_value=output_return_value )
              ELSEIF ( PRESENT( values_realwp_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                                 &
-                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
-                        values_realwp_3d=values_realwp_3d_pointer, return_value=output_return_value )
+                CALL netcdf4_write_variable( TRIM( file_format(9:) ), file_id, variable_id,        &
+                        bounds_start_internal, value_counts, bounds_origin,                        &
+                        write_only_by_master_rank, values_realwp_3d=values_realwp_3d_pointer,      &
+                        return_value=output_return_value )
              ELSE
                 return_value = 1
@@ -2585,5 +2679,6 @@
 
              CASE ( 'netcdf4-parallel', 'netcdf4-serial' )
-                CALL netcdf4_finalize( files(f)%id, output_return_value )
+                CALL netcdf4_finalize( TRIM( files(f)%format(9:) ), files(f)%id,                   &
+                                       output_return_value )
 
              CASE DEFAULT
@@ -2853,8 +2948,8 @@
                 return_value = 1
                 CALL internal_message( 'error',                                                    &
-                                    routine_name //                                                &
-                                    ': requested dimension/variable "' // TRIM( variable_name ) // &
-                                    '" for attribute "' // TRIM( attribute%name ) //               &
-                                    '" does not exist in file "' // TRIM( file_name ) // '"' )
+                        routine_name //                                                            &
+                        ': requested dimension/variable "' // TRIM( variable_name ) //             &
+                        '" for attribute "' // TRIM( attribute%name ) //                           &
+                        '" does not exist in file "' // TRIM( file_name ) // '"' )
              ENDIF
 
@@ -2948,5 +3043,5 @@
           DO  i = 1, nvars
              dimension_is_used(d) =                                                                &
-                         ANY( files(f)%dimensions(d)%name == files(f)%variables(i)%dimension_names )
+                ANY( files(f)%dimensions(d)%name == files(f)%variables(i)%dimension_names )
              IF ( dimension_is_used(d) )  EXIT
           ENDDO
@@ -3064,5 +3159,6 @@
                                        file%dimensions(d)%id, file%dimensions(d)%name,             &
                                        file%dimensions(d)%data_type, file%dimensions(d)%length,    &
-                                       file%dimensions(d)%variable_id, return_value )
+                                       file%dimensions(d)%variable_id,                             &
+                                       file%dimensions(d)%write_only_by_master_rank, return_value )
 
           ELSE
@@ -3070,7 +3166,8 @@
 !--          Initialize masked dimension
              CALL init_file_dimension( file%format, file%id, file%name,                            &
-                                     file%dimensions(d)%id, file%dimensions(d)%name,               &
-                                     file%dimensions(d)%data_type, file%dimensions(d)%length_mask, &
-                                     file%dimensions(d)%variable_id, return_value )
+                     file%dimensions(d)%id, file%dimensions(d)%name,                               &
+                     file%dimensions(d)%data_type, file%dimensions(d)%length_mask,                 &
+                     file%dimensions(d)%variable_id,                                               &
+                     file%dimensions(d)%write_only_by_master_rank, return_value )
 
           ENDIF
@@ -3104,5 +3201,5 @@
                      file%variables(d)%id, file%variables(d)%name, file%variables(d)%data_type,    &
                      file%variables(d)%dimension_ids,                                              &
-                     file%variables(d)%is_global, return_value )
+                     file%variables(d)%write_only_by_master_rank, return_value )
 
              IF ( return_value == 0  .AND.  ALLOCATED( file%variables(d)%attributes ) )  THEN
@@ -3134,5 +3231,5 @@
  SUBROUTINE init_file_dimension( file_format, file_id, file_name,                                  &
                                  dimension_id, dimension_name, dimension_type, dimension_length,   &
-                                 variable_id, return_value )
+                                 variable_id, write_only_by_master_rank, return_value )
 
     CHARACTER(LEN=*), PARAMETER ::  routine_name = 'init_file_dimension'  !< file format chosen for file
@@ -3150,4 +3247,6 @@
     INTEGER, INTENT(OUT) ::  variable_id          !< associated variable ID
 
+    LOGICAL, INTENT(IN)  ::  write_only_by_master_rank  !< true if only master rank shall write variable
+
 
     return_value = 0
@@ -3161,16 +3260,16 @@
        CASE ( 'binary' )
           CALL binary_init_dimension( 'binary', file_id, dimension_id, variable_id,                &
-                                       dimension_name, dimension_type, dimension_length,           &
-                                       return_value=output_return_value )
+                  dimension_name, dimension_type, dimension_length, write_only_by_master_rank,     &
+                  return_value=output_return_value )
 
        CASE ( 'netcdf4-serial' )
           CALL netcdf4_init_dimension( 'serial', file_id, dimension_id, variable_id,               &
-                                       dimension_name, dimension_type, dimension_length,           &
-                                       return_value=output_return_value )
+                  dimension_name, dimension_type, dimension_length, write_only_by_master_rank,     &
+                  return_value=output_return_value )
 
        CASE ( 'netcdf4-parallel' )
           CALL netcdf4_init_dimension( 'parallel', file_id, dimension_id, variable_id,             &
-                                       dimension_name, dimension_type, dimension_length,           &
-                                       return_value=output_return_value )
+                  dimension_name, dimension_type, dimension_length, write_only_by_master_rank,     &
+                  return_value=output_return_value )
 
        CASE DEFAULT
@@ -3197,5 +3296,5 @@
  SUBROUTINE init_file_variable( file_format, file_id, file_name,                                   &
                                 variable_id, variable_name, variable_type, dimension_ids,          &
-                                is_global, return_value )
+                                write_only_by_master_rank, return_value )
 
     CHARACTER(LEN=*), PARAMETER ::  routine_name = 'init_file_variable'  !< file format chosen for file
@@ -3213,5 +3312,5 @@
     INTEGER, DIMENSION(:), INTENT(IN) ::  dimension_ids  !< list of dimension IDs used by variable
 
-    LOGICAL, INTENT(IN)  ::  is_global  !< true if variable is global
+    LOGICAL, INTENT(IN)  ::  write_only_by_master_rank  !< true if only master rank shall write variable
 
 
@@ -3226,13 +3325,16 @@
        CASE ( 'binary' )
           CALL binary_init_variable( 'binary', file_id, variable_id, variable_name,                &
-                  variable_type, dimension_ids, is_global, return_value=output_return_value )
+                  variable_type, dimension_ids, write_only_by_master_rank,                         &
+                  return_value=output_return_value )
 
        CASE ( 'netcdf4-serial' )
           CALL netcdf4_init_variable( 'serial', file_id, variable_id, variable_name,               &
-                  variable_type, dimension_ids, is_global, return_value=output_return_value )
+                  variable_type, dimension_ids, write_only_by_master_rank,                         &
+                  return_value=output_return_value )
 
        CASE ( 'netcdf4-parallel' )
           CALL netcdf4_init_variable( 'parallel', file_id, variable_id, variable_name,             &
-                  variable_type, dimension_ids, is_global, return_value=output_return_value )
+                  variable_type, dimension_ids, write_only_by_master_rank,                         &
+                  return_value=output_return_value )
 
        CASE DEFAULT
